#!/usr/bin/env bash

echo ">>> Environment:"
echo "[wrapper] NOMAD_PORT_KIWIX=$NOMAD_PORT_KIWIX"
echo "[wrapper] Args: $*"

echo ">>> Checking environment"
if [[ -z "${NOMAD_PORT_KIWIX}" ]]; then
	echo "Error: The environment variable NOMAD_PORT_KIWIX is not set. It must be set to the port number to listen on." >&2;
fi

echo ">>> Starting kiwix";
/app/kiwix-serve --library --port "${NOMAD_PORT_KIWIX}" /srv/data;